package com.samsung.batch.controller;

import com.samsung.batch.UserSyncBatchService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserSyncBatchController {
    private final UserSyncBatchService userSyncBatchService;

    public UserSyncBatchController(UserSyncBatchService userSyncBatchService) {
        this.userSyncBatchService = userSyncBatchService;
    }

    @GetMapping("/batch/users/sync")
    public void execUserSync() {
        userSyncBatchService.execUserSync();
    }
}
